
.languages {
  background-color: #4ec6de;
  padding: 4px 20px;
  text-align: right;
}

.languages a{
  display: inline-block;
  color: white;
  text-decoration: none;
  font-size: 14px;
  vertical-align: middle;
  margin: 0 5px;
}

/* Navbar Start */
.navbar {
  width: 100%;
  height: 60px;
  padding: 0 15px;
  background-color: #FFFFFFFF;
  border-bottom: 1px solid #FFFFFFFF;
  position: sticky;
  top: -0.15px;
  z-index: 98;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  user-select: none;
}

.navbar > a {
  padding: 0;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.navbar .logo{
  width: 80px;
}

.navbar ul {
  list-style: none;
}

.navbar ul li a {
  text-decoration: none;
}

.navbar > .navOpenBtn {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  margin-left: 15px;
  font-size: 35px;
  display: none;
  color: #000000FF;
}

.navOpenBtn:hover, .navCloseBtn:hover{
  cursor: pointer;
}

.navbar-items {
  display: flex;
  align-items: center;
  justify-content: center;
}

.vertical-navbar,
.vertical-navbar-items {
  position: absolute;
  background: #ffffff;
  display: none;
  z-index: 5;
  text-align: center;
  border: 1px solid rgb(247, 246, 246);
  border-radius: 5px;
  font-size: 15px;
}

.vertical-navbar{
  width: 140px;
  top: 55px;
}

.vertical-navbar-items {
  width: 175px;
  right: -175px;
  top: -6px;
}

.navbar-items > li:not(:has(> a)),
.vertical-navbar > li:not(:has(> a)) {
  position: relative;
}


.navbar ul li a,
.navbar ul li:not(:has(> a)) div {
  font-size: 17px;
  color: #000000FF;
  display: block;
  user-select: none;
  overflow: hidden;
}


.navbar-items > li:not(:has(> a)){
  padding: 5px 0;
}


.navbar-items > li > div > p {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 140px;
  text-align: center;
  transition: background-color 0.1s ease-in-out;
}

.navbar-items > li > div > p > i {
  transition: transform 0.2s ease-in-out;
  transform-origin: center;
}

.navbar-items > li:has(div):hover > div > p > i {
  transform: rotate(90deg);
}

.navbar-items > li {
  margin: 0 5px;
}

.navbar-items > li > a,
.navbar-items > li > div > p{
  padding: 12px;
}

.navbar-items > li > a,
.navbar-items > li > div,
.navbar-items > li > div > p{
  border-radius: 5px;
}

.navbar-items > li > div > p{
  cursor: pointer;
}


.vertical-navbar > li > div {
  padding: 12px 10px 12px 2px;
  margin: 5px;
  cursor: pointer;
  overflow: hidden;
  border-radius: 5px;
}

.vertical-navbar > li > div > i {
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%);
}

.vertical-navbar > li a {
  padding: 12px;
  margin: 5px;
  border-radius: 5px;
  overflow: hidden;
}

.navbar-items > li:has(> a) .active,
.navbar-items > li > a:hover,
.navbar-items > li > div:hover p,
.vertical-navbar li div:hover,
.vertical-navbar ul li a:hover,
.vertical-navbar li:hover div,
.navbar-items > li:has(div):hover > div > p {
  background-color: #f5f6f7;
}

.selected-navbar-item{
  background-color: #f5f6f7;
}


.navbar-items > li:not(:has(> a)):hover > .vertical-navbar,
.vertical-navbar > li:has(> div):hover > ul {
  display: block;
}


.hide-scrollbar::-webkit-scrollbar {
  display: none;
}

@media screen and (max-width: 835px) {
  .navbar {
    padding: 5px 10px;
    justify-content: flex-end;
  }

  .navbar .navOpenBtn {
    display: block;
  }

  .btn-close-box {
    display: block;
  }

  .navbar .navbar-items {
    display: none;
  }
}
/* Navbar End */

/* Sidebar Start */

.sidebar-modal{
  display: none;
  position: fixed;
  z-index: 99;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
  overscroll-behavior: contain;

}

.sidebar {
  position: absolute;
  left: -300px;
  top: 0;
  bottom: 0;
  width: 300px;
  height: 100vh;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  background-color: #ffffff;
  user-select: none;
  animation: sidebarAnimationShow  0.1s linear;  /* Add animation */
}

@keyframes sidebarAnimationShow  {
  0% {
    left: -300px; /* Start position */
  }
  100% {
    left: 0; /* End position */
  }
}


.sidebar-profile {
  height: 150px;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid #D3D3D3FF;
}

.sidebar-profile span {
  position: absolute;
  font-size: 35px;
  top: 5px;
  right: 10px;
  color: #808080FF;
}

.sidebar-profile img {
  height: 100px;
}

.sidebar-content {
  width: 100%;
  height: calc(100% - 150px);
  overflow-y: auto;
  padding-top: 20px;
  overscroll-behavior: contain;

}

.sidebar-content ul {
  list-style: none;
}

.sidebar-content ul li a {
  text-decoration: none;
  display: block;
  color: #1d1e20;
}

.menu-item > a,
.menu-item > div {
  padding: 15px 20px;
  width: 90%;
  margin: 10px auto;
  border-radius: 10px;
  color: #1d1e20;
}

.menu-item > .package-menu-item {
  position: relative;
  cursor: pointer;
  user-select: none;
}


.menu-item .package-menu-item .package-menu-item-angle-icon{
  position: absolute;
  right: 15px;
  top: 18px;
  transition: transform 0.2s ease-in-out;
  transform-origin: center;
}

.menu-item > a > i,
.menu-item > div > i {
  margin-right: 10px;
  font-size: 18px;
  vertical-align: middle;
}

.sub-menu {
  display: none;
  user-select: none;
}

.sub-menu-item .province {
  padding: 12px 40px;
  width: 85%;
  margin: 10px auto;
  text-align: center;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  color: #1d1e20;
}

.province .sidebar-province-icon{
  transition: transform 0.2s ease-in-out;
  transform-origin: center;
}

.branches {
  display: none;
}
.branch a {
  padding: 10px;
  width: 80%;
  margin: 5px auto;
  text-align: center;
  border-radius: 10px;
  user-select: none;
}

.turn-angle {
  transform: rotate(90deg);
}

.menu-item > a:hover,
.menu-item > div:hover,
.sub-menu-item .province:hover,
.menu-item > .active,
.branch a:hover {
  background-color: #f5f6f7;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 2;
  background-color: #6d6d6d56;
  display: none;
}

.isSidebarMenuItemSelected{
  background-color: #f5f6f7;
}

.toggleVisibility{
  display: block;
}

.toggleVisibility .sidebar {
  left: 0; /* Position when opened */
}

@media only screen and (min-width: 835px) {
  .toggleVisibility{
    display: none;
  }
}
